Package edu.msu.cme.rdp.classifier.comparison

# Interface ComparisonBrowserNode

All Known Implementing Classes:
  `AbstractNode`, `TaxonTree`, `UncNode`

public interface ComparisonBrowserNode

## Method Summary

Modifier and Type
Method
Description
`void`
`changeConfidence(SigCalculator cal)`
`ComparisonBrowserNode`
`findNode(int id)`
`Iterator`
`getDetailIterator(float conf)`
`Iterator`
`getLineageIterator()`
`Iterator`
`getTaxonIterator(int depth)`

## Method Details

### changeConfidence

void changeConfidence(SigCalculator cal)

### findNode

ComparisonBrowserNode findNode(int id)

### getTaxonIterator

Iterator getTaxonIterator(int depth)

### getLineageIterator

Iterator getLineageIterator()

### getDetailIterator

Iterator getDetailIterator(float conf)